import {
  message,
  loading,
  redirectTo
} from "@/utils/fun.js"

const app = getApp();

export default {
  data() {
    return {
      url: '',
      imgList: [],
      tempList: [],
      current: 0,
      count: 0,
      leftHeight: 0,
      rightHeight: 0,
    };
  },
  methods: {
    getData(page, size) {
      return {
        page,
        size
      }
    },
    loadData() {
      
    },
    queryList(page, size) {
      this.tempList = [];
      this.current = 0;
      if (page === 1) {
        this.leftHeight = 0;
        this.rightHeight = 0;
      }
      loading.show();
      this.post({
        url: this.url,
        data: this.getData(page, size),
        auth: true,
        showLoading: false,
        success: ({
          data
        }) => {
          if (!data || !data.length) {
            loading.hide();
            this.$refs.paging.complete([]);
          } else {
            this.count = data.length;
            this.imgList = data.map(item => {
              item.url = `${item.url}?imageView2/2/w/250/interlace/1/q/99`;
              return item;
            });
            this.loadImage();
          }
        },
        fail: () => {
          loading.hide();
        }
      });
    },
    loadImage() {
      uni.getImageInfo({
        src: this.imgList[this.current].url,
        success: (image) => {
          this.loadSuccess(image);
        },
        fail: () => {
          this.imgList[this.current].url = this.imgList[this.current].url.replace(/\?imageView2.+/g, '');
          uni.getImageInfo({
            src: this.imgList[this.current].url,
            success: (image) => {
              this.loadSuccess(image);
            }
          })
        }
      })
    },
    loadSuccess(image) {
      if (this.leftHeight <= this.rightHeight) {
        this.imgList[this.current]['location'] = 'left';
        this.leftHeight = this.leftHeight + image.height;
      } else {
        this.imgList[this.current]['location'] = 'right';
        this.rightHeight = this.rightHeight + image.height;
      }
      this.current++;
      if (this.current >= this.count) {
        loading.hide();
        this.$refs.paging.complete(this.imgList);
      } else {
        this.loadImage();
      }
    }
    // loadImage({
    // detail
    // }, index, item) {
    //   item['index'] = index;
    //   item['height'] = 100 / detail.width * detail.height;
    //   console.log(detail.width, detail.height)
    //   this.tempList.push(Object.assign({}, item));
    //   if (this.tempList.length === this.count) {
    //     this.tempList = this.tempList.sort((a, b) => {
    //       return a.index - b.index
    //     })
    //     this.tempList = this.tempList.map(item => {
    //       if (this.leftHeight <= this.rightHeight) {
    //         item['location'] = 'left';
    //         item['leftHeight'] = this.leftHeight;
    //         this.leftHeight = this.leftHeight + item.height;
    //       } else {
    //         item['location'] = 'right';
    //         item['rightHeight'] = this.rightHeight;
    //         this.rightHeight = this.rightHeight + item.height;
    //       }
    //       return item;
    //     });
    //     loading.hide();
    //     this.imgList = [];
    //     this.$refs.paging.complete(this.tempList);
    //   }
    // }
  }
};
